#!/bin/bash

cd $(dirname 0); CWD=$(pwd)
set -e

if ! dialog --yesno 'This script will install each package immediately after building, your old xfce packages will be removed. Continue?' 7 60; then
  exit 1
fi

export TAG=${TAG:-_xfresh}
export TMP=${TMP:-/tmp}

if [[ -z "$ARCH" ]]; then
  export ARCH=$(uname -m)
  case "$ARCH" in
    i?86) export ARCH=i586 ;;
    arm*) export ARCH=arm ;;
  esac
fi

if [[ -z "$OUTDIR" ]]; then
  case "$ARCH" in
    i?86) export OUTDIR=pkg32 ;;
    x86_64) export OUTDIR=pkg64 ;;
    *) export OUTDIR="pkg$ARCH" ;;
  esac
fi

mkdir -p "$OUTDIR"

for package in \
  xfce4-dev-tools \
  libxfce4util \
  xfconf \
  libxfce4ui \
  exo \
  garcon \
  tumbler \
  thunar \
  xfce4-panel \
  xfce4-settings \
  xfce4-session \
  xfdesktop \
  xfwm4 \
  xfce4-appfinder \
  xfce4-terminal \
  mousepad \
  thunar-volman \
  xfce4-power-manager \
  xfce4-pulseaudio-plugin \
  xfce4-notifyd \
  xfce4-screenshooter \
  xfce4-screensaver \
  xfce4-systemload-plugin \
  xfce4-taskmanager \
  xfce4-weather-plugin \
  xfce4-whiskermenu-plugin \
  xfce4-panel-profiles \
  xfce4-clipman-plugin \
  Greybird \
  elementary-xfce
do
  cd "$CWD/source/$package"
  package_out_name=$(PRINT_PACKAGE_NAME=1 sh $package.SlackBuild) 
  sh $package.SlackBuild

  mv "$TMP/$package_out_name" "$CWD/$OUTDIR/"
  upgradepkg --install-new "$CWD/$OUTDIR/$package_out_name"
done
